\begin{exercise}{6.2}
  Consider a complete binary tree with \(p+1\) layers. In the \(i\)-th (with \(i\in[1,p]\)) layer all the nodes are equal and use the the function \(\IndicatorCond{x_i=1}{(\vec{x})}\) for discriminating.
  After passing all first \(p\) layers, the decision tree has perfectly distinguished each possible input value, so that the last one contains the value of the predictor on the particular input.
  
  Consider a set \(\mathcal{B} \subseteq \mathcal{X}\) such that \(\#\mathcal{B}= 2^p\). There is a bijection between \(\mathcal{B}\) and \(\{0,1\}^p\), so using the result above we can conclude that \(\mathcal{B}\) is shattered by binary trees. From this follows
  \[
    \VCdim{\left\{\text{binary trees}\right\}} \ge 2^p.
  \]
\end{exercise}